# SkyMaps.jl

Conveniently work with sky maps in different formats.

Supports `Healpix` (through `Healpix.jl`) and `ROOT` (through Python `uproot`) maps currently.

Corresponding exported functions read maps from files: `skymap_healpix(path::String)` and `skymap_root(path::String)`.

Once a map `m` is created, in can be:
- Treated as a `Tables.jl` table of coordinates and values: e.g., use `rowtable(m)`.
- Accessed by coordinates: call the map object with a 2-tuple or 2-vector of spherical coordinates, `m((ra, dec))`, to obtain the value.
- Plotted with PyPlot: `SkyMaps.pyplot(m)`.

See a Pluto notebook with source code and usage examples at https://aplavin.github.io/SkyMaps.jl/examples/notebook.html.
